# Get Cost Center List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/account?action=getCostCenterList`

Fetches the list of cost centers in the account. No request params required.

{% tabs %}
{% tab title="200 " %}

```
{
  "meta": {
    "totalResults": 2,
    "start": 0,
    "perPage": 2,
    "count": 2
  },
  "results": [
    {
      "id": 5451,
      "name": "test cost center",
      "code": 2,
      "description": null,
      "defaultType": null
    },
    {
      "id": 5452,
      "name": "test cost center",
      "code": "AB12",
      "description": null,
      "defaultType": null
    }
  ]
}
```

{% endtab %}
{% endtabs %}

## Returns

| Property    | Description                                                               |
| ----------- | ------------------------------------------------------------------------- |
| id          | The unique identifier of the cost center                                  |
| name        | The name of the cost center                                               |
| code        | The code of the cost center                                               |
| description | The complete description of the cost center                               |
| defaultType | Set if one of the default cost centers. See [Default Type](#default-type) |

## Throws

| Code                 | Description            |
| -------------------- | ---------------------- |
| Specific Code: 24150 | Account does not exist |

## Default Type

| Type | Description   |
| ---- | ------------- |
| 1    | Other         |
| 2    | Food          |
| 3    | Beverage      |
| 4    | Audio Visual  |
| 5    | Room Hire     |
| 6    | Accommodation |
| 7    | Service Fees  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/account/get-cost-center-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
